package jp.co.celestee.ai.interfaces.body;

import jp.co.celestee.ai.core.signal.PleasureIF;
import jp.co.celestee.ai.interfaces.input.AbstractDataCooperationSignal;
import jp.co.celestee.ai.interfaces.input.DefaultDataCooperationSignal;
import jp.co.celestee.external.rule.dinamic.DynamicRuleData;

public class BodyDataConverter {

	/**
	 * [̎hf[^AI̓dCM֕ϊ܂B
	 * @param ruleData
	 * @return
	 */
	public static AbstractDataCooperationSignal change(DynamicRuleData ruleData) {
		
		int iPain = getPain(ruleData.getType());
		
		BodySignalData dData = new BodySignalData(iPain);
		
		DefaultDataCooperationSignal signal = new DefaultDataCooperationSignal();
		signal.setElectricPotential(ruleData.getPotential());
		signal.setSignalData(dData);

		return signal;
	}

	private static int getPain(int type) {
		//-65536RED
		if(type != -65536) {
			return PleasureIF.PLEASURE_LEVEL;
		}
		else {
			return PleasureIF.DISPLEASURE_LEVEL;
		}
	}
	
	/**
	 * AI̐M[̎hf[^֕ϊ܂B
	 * @param signal
	 * @return
	 */
	public static DynamicRuleData change(AbstractDataCooperationSignal signal) {
		
		return null;
	}

}
