package jp.co.celestee.ai.interfaces.body;

import java.util.List;

import jp.co.celestee.ai.core.signal.AbstractSignalData;
import jp.co.celestee.ai.core.signal.SignalDataIF;

public class BodySignalData extends AbstractSignalData {
	
	private static final long serialVersionUID = 1L;

	/** Ɋo */
	private int pain = 0;
	
	public BodySignalData() {
	}

	public BodySignalData(int pain) {
		this.pain = pain;
	}
	
	@Override
	public Class<?> getOutputIdClass() {
		return null;
	}

	public int getPain() {
		return pain;
	}

	public void setPain(int pain) {
		this.pain = pain;
	}

	@Override
	public List<SignalDataIF> getPartsSignalDataList() {
		return null;
	}
	
	@Override
	public String toString() {
		return "(PAIN=" + pain + ", In=" + getInner() + ")";
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		return target instanceof SignalDataIF ? sameData((SignalDataIF)target) : false;
	}

	@Override
	public int hashCode() {
		return 0;
	}

	@Override
	public String getSupposingItSaysInMansWords() {
		return "undefined";
	}

}
