package jp.co.celestee.ai.interfaces.body.id;

import jp.co.celestee.ai.interfaces.body.BodySignalData;
import jp.co.celestee.ai.interfaces.output.AbstractOutputId;
import jp.co.celestee.ai.interfaces.output.OutputGroupIF;

public abstract class BodyId extends AbstractOutputId implements OutputGroupIF {

	private static final long serialVersionUID = 1L;

	private static final Class<?> _groupClass = BodyId.class;

	private static final Class<?> _signalDataClass = BodySignalData.class;

	@Override
	public Class<?> getSignalDataClass() {
		return _signalDataClass;
	}

	@Override
	public Class<?> getGroupClass() {
		return _groupClass;
	}

}
