package jp.co.celestee.ai.interfaces.body.pleasure;

import jp.co.celestee.ai.core.signal.AbstractPleasure;
import jp.co.celestee.ai.core.signal.PleasureIF;

/**
 * o\NX(ÖAA_AꖡAܖ)
 * PleasureNX͘_vlł͊SɍČłȂô
 * @author celestee
 *
 */
public class Palate extends AbstractPleasure {

	private static final long serialVersionUID = 1L;

	private int sweet = 0;
	
	private int salt = 0;
	
	private int sour = 0;
	
	private int bitter = 0;
	
	private int taste = 0;
	
	private int pleasureLevel = PleasureIF.PLEASURE_LEVEL;
	
	public Palate(int sweet, int salt, int sour, int bitter, int taste) {
		this.sweet = sweet;
		this.salt = salt;
		this.sour = sour;
		this.bitter = bitter;
		this.taste = taste;
	}

	public int getSweet() {
		return sweet;
	}

	public void setSweet(int sweet) {
		this.sweet = sweet;
	}

	public int getSalt() {
		return salt;
	}

	public void setSalt(int salt) {
		this.salt = salt;
	}

	public int getSour() {
		return sour;
	}

	public void setSour(int sour) {
		this.sour = sour;
	}

	public int getBitter() {
		return bitter;
	}

	public void setBitter(int bitter) {
		this.bitter = bitter;
	}

	public int getTaste() {
		return taste;
	}

	public void setTaste(int taste) {
		this.taste = taste;
	}
	
	@Override
	public int getPleasureLevel() {
		return pleasureLevel;
	}

	public void setPleasureLevel(int pleasureLevel) {
		this.pleasureLevel = pleasureLevel;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		if(target instanceof Palate) {
			Palate data = (Palate)target;
			boolean bSweet = sweet == data.getSweet();
			boolean bSalt = salt == data.getSalt();
			boolean bSour = sour == data.getSour();
			boolean bBitter = bitter == data.getBitter();
			boolean bTaste = taste == data.getTaste();
			return bSweet && bSalt && bSour && bBitter && bTaste;
		}
		
		return false;
	}
	
}
