package jp.co.celestee.ai.interfaces.characterin.id;

import jp.co.celestee.ai.interfaces.characterin.CharacterInOutputId;
import jp.co.celestee.ai.interfaces.characterin.CharacterInSignalData;
import jp.co.celestee.ai.interfaces.output.AbstractOutputId;
import jp.co.celestee.ai.interfaces.output.OutputGroupIF;

public class ListenId extends AbstractOutputId implements OutputGroupIF{

	private static final long serialVersionUID = 1L;

	private static final Class<?> _groupClass = CharacterInOutputId.class;

	private static final Class<?> _signalDataClass = CharacterInSignalData.class;

	@Override
	public Class<?> getSignalDataClass() {
		return _signalDataClass;
	}

	@Override
	public Class<?> getGroupClass() {
		return _groupClass;
	}

	@Override
	public Class<?> getTriggerClass() {
		return null;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		if(target == null) return false;

		if(target instanceof ListenId) {
			return true;
		}
		
		return false;
	}

	@Override
	public String getSupposingItSaysInMansWords() {
		return "Listen";
	}

}

