package jp.co.celestee.ai.interfaces.characterout.id;

import jp.co.celestee.ai.interfaces.characterout.CharacterOutSignalData;
import jp.co.celestee.ai.interfaces.output.AbstractOutputId;
import jp.co.celestee.ai.interfaces.output.OutputGroupIF;

public abstract class CharacterOutOutputId extends AbstractOutputId implements OutputGroupIF{

	private static final long serialVersionUID = 1L;

	private static final Class<?> _groupClass = CharacterOutOutputId.class;

	private static final Class<?> _signalDataClass = CharacterOutSignalData.class;

	@Override
	public Class<?> getSignalDataClass() {
		return _signalDataClass;
	}

	@Override
	public Class<?> getGroupClass() {
		return _groupClass;
	}

}
