package jp.co.celestee.ai.interfaces.characterout.id;

import jp.co.celestee.ai.interfaces.characterout.trigger.CharacterOutSixTrigger;

public class CharacterOutSixId extends CharacterOutOutputId  {

	private static final long serialVersionUID = 1L;

	private static final Class<?> _triggerClass = CharacterOutSixTrigger.class;

	@Override
	public Class<?> getTriggerClass() {
		return _triggerClass;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		if(target == null) return false;

		if(target instanceof CharacterOutSixId) {
			return true;
		}
		
		return false;
	}

	@Override
	public String getSupposingItSaysInMansWords() {
		return "six";
	}

}
