package jp.co.celestee.ai.interfaces.characterout.trigger;

import jp.co.celestee.ai.core.signal.SignalDataIF;
import jp.co.celestee.ai.interfaces.characterout.CharacterOutSubstance;
import jp.co.celestee.ai.interfaces.input.DefaultDataCooperationSignal;
import jp.co.celestee.ai.interfaces.output.AbstractOutputTrigger;

public class CharacterOutTrigger extends AbstractOutputTrigger {

	@Override
	public void runTrigger(SignalDataIF signalData) {
		
		DefaultDataCooperationSignal signal = new DefaultDataCooperationSignal();
		signal.setElectricPotential(getElectricPotential());
		signal.setSignalData(signalData);

		CharacterOutSubstance.getInstance().inputDataFromAI(signal);
	}

}
