package jp.co.celestee.ai.interfaces.eye;

import jp.co.celestee.ai.interfaces.AbstractSubstance;
import jp.co.celestee.ai.interfaces.image.ImageSubstance;
import jp.co.celestee.ai.interfaces.input.DefaultDataCooperationSignal;
import jp.co.celestee.external.rule.RuleDataIF;

public class EyeSubstance extends AbstractSubstance {

	private static EyeSubstance subInstance = new EyeSubstance();
	
	private EyeSubstance() {}
	
	public static EyeSubstance getInstance() {
		return subInstance;
	}

	/**
	 * [IFւ̓
	 */
	@Override
	public void inputFromRule(RuleDataIF ruleData, Signals signals) {
	}

	/**
	 * AI̓
	 */
	@Override
	public void inputFromAI(Object aiData, Signals signals) {
		signals.setDataCooperationSignal((DefaultDataCooperationSignal)aiData);
	}

	/**
	 * C
	 */
	@Override
	public void process(Signals signals) {
		//_ړ
		ImageSubstance.getInstance().changeModeAdd();
		//FύX
		ImageSubstance.getInstance().changeColor();
		
		System.out.println("@@_ړs@@");
	}

	/**
	 * [ւ̏o
	 */
	@Override
	public void outputToRule(Signals signals) {
	}
	
}
