package jp.co.celestee.ai.interfaces.status;

import java.awt.Color;
import java.awt.Graphics;


@SuppressWarnings("serial")
public class JFrontRetina extends JRetina {

	private static JFrontRetina subInstance = new JFrontRetina();
	
	private JFrontRetina() {}
	
	public static JFrontRetina getInstance() {
		return subInstance;
	}

	@Override
	public void update(Graphics g){

		super.update(g);

		g.setColor(Color.blue);
		g.drawRect(0, 0, getWidth()-1, getHeight()-1);
	}

}
