package jp.co.celestee.ai.interfaces.status;

import jp.co.celestee.ai.external.debug.DevelopHelper;

public class StatusWatcher extends Thread {

	public void run() {
		
		String dumpNerveString = null;
		String dumpSignalString = null;
		String dumpTemptString = null;
		String dumpPlanString = null;
		String dumpPleasureString = null;
		String dumpDemoString = null;
		
		int maxAssociationCount = 0;
		int waitCounter = 0;

		while(true) {
			try{
				waitCounter++;
				Thread.sleep(100);
			}
			catch (Exception e) {
				e.printStackTrace();
			}
			
			//ő~
			if(waitCounter % 5 == 0) {
				//肽
				JStatusFrame.setMaxDesireText(DevelopHelper.getDumpHumanWords());
				
				//BɌČv̕\
				JStatusFrame.setViewPlanText(DevelopHelper.getDumpPlanList());
			}
			
			//Az
			maxAssociationCount = DevelopHelper.getDebugSignalCounts() > maxAssociationCount ? 
					DevelopHelper.getDebugSignalCounts() : maxAssociationCount;
			JStatusFrame.setAssociationStatusCount(DevelopHelper.getDebugSignalCounts(), maxAssociationCount);
			
			//Az
			String nerveDump = DevelopHelper.getNerveDumpString();
			
			if(nerveDump.equals(dumpNerveString) == false) {
				JStatusFrame.setStatusText(nerveDump);
				dumpNerveString = nerveDump;
			}
			
			//Ü
			if(waitCounter % 10 == 0) {
				long nerveKey = JStatusFrame.getTemptNerveID();
				String temptDump = DevelopHelper.getDumpTemptListString(nerveKey);
				
				if(temptDump.equals(dumpTemptString) == false) {
					JStatusFrame.setTemptText(temptDump);
					dumpTemptString = temptDump;
				}
			}
			
			//VOi
			String signalDump = DevelopHelper.getDebugDumpSignal();
			
			if(signalDump.equals(dumpSignalString) == false) {
				JStatusFrame.setSignalText(signalDump);
				dumpSignalString = signalDump;
			}
			
			//wKʁivj
			if(waitCounter % 10 == 0) {
				long nerveKey = JStatusFrame.getTemptNerveID();
				String planDump = DevelopHelper.getDumpPlanListString(nerveKey);
				
				if(planDump.equals(dumpPlanString) == false) {
					JStatusFrame.setPlanText(planDump);
					dumpPlanString = planDump;
				}
			}
			
			//yꗗ
			if(waitCounter % 10 == 0) {
				
				String pleasureDump = DevelopHelper.getDebugDumpPleasure();
				
				if(pleasureDump.equals(dumpPleasureString) == false) {
					JStatusFrame.setPleasureText(pleasureDump);
					dumpPleasureString = pleasureDump;
				}
			}

			//sʋL^
			if(waitCounter % 10 == 0) {
				
				String demoDump = DevelopHelper.dumpDemonstrativingPlanPhysical();
				
				if(demoDump.equals(dumpDemoString) == false) {
					JStatusFrame.setPhysicalWorkingText(demoDump);
					dumpDemoString = demoDump;
				}
			}
			
			//_sʋL^
			if(waitCounter % 10 == 0) {
				
				String demoDump = DevelopHelper.dumpDemonstrativingPlanLogical();
				
				if(demoDump.equals(dumpDemoString) == false) {
					JStatusFrame.setLogicalWorkingText(demoDump);
					dumpDemoString = demoDump;
				}
			}

		}
	}
}
