package jp.co.celestee.ai.interfaces.characterin;

import jp.co.celestee.ai.interfaces.AbstractSubstance;
import jp.co.celestee.ai.interfaces.input.AbstractDataCooperationSignal;
import jp.co.celestee.ai.interfaces.input.DefaultDataCooperationSignal;
import jp.co.celestee.external.rule.RuleDataIF;
import jp.co.celestee.external.rule.sound.SoundRuleAccessorIF;
import jp.co.celestee.external.rule.sound.SoundRuleData;

/**
 * iINjIF̖{̏ł
 * @author celestee
 *
 */
public class CharacterInSubstance extends AbstractSubstance implements SoundRuleAccessorIF{

	private static CharacterInSubstance subInstance = new CharacterInSubstance();
	
	private CharacterInSubstance() {}
	
	public static CharacterInSubstance getInstance() {
		return subInstance;
	}
	
	/**
	 * [IFւ̓
	 */
	public void inputSound(SoundRuleData ruleData) {
		inputDataFromRule(ruleData);
	}

	/**
	 * [̓
	 * @param ruleData
	 * @param dcsignal
	 * @param esSignal
	 * @param psSignal
	 */
	public void inputFromRule(
			RuleDataIF ruleData,
			AbstractSubstance.Signals signals) {
		
		SoundRuleData charRuleData = (SoundRuleData)ruleData;

		//IFŃf[^ϊiŌ嗋̗LэזE̓Ɠj
		DefaultDataCooperationSignal dcSignal = CharacterInDataConverter.change(charRuleData);
		signals.setDataCooperationSignal(dcSignal);
	}

	/**
	 * AI̓
	 * @param ruleData
	 * @param dcsignal
	 * @param esSignal
	 * @param psSignal
	 */
	public void inputFromAI(
			Object aiData,
			Signals signals) {

		//AI-IFԂŎvoĂ
		signals.setDataCooperationSignal((DefaultDataCooperationSignal)aiData);
	}

	/**
	 * C̎s
	 * @param dcsignal
	 * @param esSignal
	 * @param psSignal
	 */
	public void process(Signals signals) {
		
		//GRCbN[ʂ
		CharacterInMemory.getInstance().throughMemory(signals.getDataCooperationSignal());
		
		//fobOp\[X
		AbstractDataCooperationSignal dcSignal = signals.getDataCooperationSignal();
		CharacterInSignalData signalData = (CharacterInSignalData)dcSignal.getSignalData();
		System.out.println("GRCbN[F" + signalData.getContents());
		
		//[GREAT!]𕷂ƉƂƂɂĂ
		//{́AЉijI~ƂāAAICoreɂĉyɕϊ邪ׁ̈Â悤ɂB
//		if("GREAT!".equals(signalData.getContents())) {
//			DefaultEnvironmentSensibleSignal esSignal = new DefaultEnvironmentSensibleSignal();
//			esSignal.setElectricPotential(signals.getDataCooperationSignal().getElectricPotential());
//			esSignal.setPleasureLevel(PleasureIF.PLEASURE_LEVEL);
//			signals.setEnvironmentSensibleSignal(esSignal);
//			
//			System.out.println("!!! (I̊) !!!");
//			
//			//yf[^̐ݒ
//			PleasureIF pleasure = new DummyPleasure("GREAT!");
//			esSignal.setPleasure(pleasure);
//		}
//		else if("Mistake!".equals(signalData.getContents())) {
//			DefaultEnvironmentSensibleSignal esSignal = new DefaultEnvironmentSensibleSignal();
//			esSignal.setElectricPotential(signals.getDataCooperationSignal().getElectricPotential());
//			esSignal.setPleasureLevel(PleasureIF.DISPLEASURE_LEVEL);
//			signals.setEnvironmentSensibleSignal(esSignal);
//			
//			System.out.println("!!! s(I̊) !!!");
//			
//			//sf[^̐ݒ
//			PleasureIF pleasure = new DummyPleasure("Mistake!");
//			esSignal.setPleasure(pleasure);
//		}
	}
	
	/**
	 * [ւ̏o
	 * @param dcsignal
	 * @param esSignal
	 * @param psSignal
	 */
	public void outputToRule(
			Signals signals
			) {
		//Ȃ
	}


}
