package jp.co.celestee.ai.interfaces.characterout;

import java.util.List;

import jp.co.celestee.ai.core.signal.AbstractSignalData;
import jp.co.celestee.ai.core.signal.SignalDataIF;
import jp.co.celestee.ai.interfaces.SignalParts;

public class CharacterOutSignalData extends AbstractSignalData {

	private static final long serialVersionUID = 1L;

	/** ̕e\ */
	private static final String EMPTY_CONTENTS = "";

	/** e  */
	@SignalParts
	private String contents = null;

	public CharacterOutSignalData() {
	}

	public CharacterOutSignalData(String contents) {
		this.contents = contents;
	}
	
	@Override
	public Class<?> getOutputIdClass() {
		return null;
	}

	public String getContents() {
		return contents;
	}

	public void setContents(String contents) {
		this.contents = contents;
	}
	
	public static String contentsFreeValueReturn() {
		return EMPTY_CONTENTS;
	}

	public String toString() {
		return "(CONTENTS=" + contents + ")";
	}

	public List<SignalDataIF> getPartsSignalDataList() {
		return null;
	}

	@Override
	public boolean equals(Object target) {
		boolean b = super.equals(target);
		if(b == false) return b;
		
		return target instanceof SignalDataIF ? sameData((SignalDataIF)target) : false;
	}

	@Override
	public int hashCode() {
		return 0;
	}

}
